Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class InterceptorConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.InterceptorConfig

All Implemented Interfaces:
  Parameterizable, Locatable, Serializable

    public class InterceptorConfig

extends Located
implements Parameterizable, Serializable

Configuration for Interceptors.

In the xml configuration file this is defined as the `interceptors` tag.

Author:
  Mike
See Also:
  Serialized Form

Field Summary
`(package private) String` | `className`
`(package private) String` | `name`
`(package private) Map` | `params`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`InterceptorConfig()`
`InterceptorConfig(InterceptorConfig parent, Map params)`
`InterceptorConfig(String name, Class clazz, Map params)`
`InterceptorConfig(String name, String className, Map params)`

Method Summary
`void` | `addParam(String name, Object value)`
`boolean` | `equals(Object o)`
`String` | `getClassName()`
`String` | `getName()`
`Map` | `getParams()`
`int` | `hashCode()`
`void` | `setClassName(String className)`
`void` | `setName(String name)`
`void` | `setParams(Map params)`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    Map params

### className

    String className

### name

    String name

Constructor Detail

### InterceptorConfig

    public InterceptorConfig()

### InterceptorConfig

    public InterceptorConfig(String name,
                             Class clazz,
                             Map params)

### InterceptorConfig

    public InterceptorConfig(String name,
                             String className,
                             Map params)

### InterceptorConfig

    public InterceptorConfig(InterceptorConfig parent,
                             Map params)

Method Detail

### setClassName

    public void setClassName(String className)

### getClassName

    public String getClassName()

### setName

    public void setName(String name)

### getName

    public String getName()

### setParams

    public void setParams(Map params)

  Specified by:
    `setParams` in interface `Parameterizable`

### getParams

    public Map getParams()

  Specified by:
    `getParams` in interface `Parameterizable`

### addParam

    public void addParam(String name,
                         Object value)

  Specified by:
    `addParam` in interface `Parameterizable`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.